<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать должность</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.POSITIONS_READ %}
				<form id="position-edit" method="post" action="/positions/position/{{ position.id }}/edit/">
					{% csrf_token %}
					<div class="input-field">
						<input type="text" name="name" value="{{ position.name }}" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Название</label>
					</div>
					<div class="submit-container {% if not user.role.permissions.POSITIONS_EDIT %}disabled{% endif %}">
						<button id="position-delete" class="button" form="">Удалить</button>
						<button class="button" form="position-edit" type="submit">Сохранить</button>
					</div>
				</form>
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	var confirmed = false;
	$("button#position-delete").click(function(){  
		if (confirmed) {
			var posting = $.post('/positions/position/{{ position.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#position-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>